AtomicatAtomicat
Website
  • English
  • Español
  • Português
Atomicat
  • Website
  • App
  • Help center
API docs
  • Introduction
  • Authentication
  • API reference
AtomicatAtomicat

© 2026 Atomicat. All rights reserved.

instagramInstagramyoutubeYouTubewhatsappWhatsApp
Information
Account
    Get the authenticated accountgetDownload the OpenAPI documentget
Projects
    List projectsgetCreate a projectpostSearch projectsgetGet a projectgetDelete an unused projectdeleteUpdate a projectpatch
Sites
    List sitesgetCreate a sitepostSearch sitesgetGet a siteget
Pages
    List pagesgetCreate a blank pagepostCreate a page from a templatepostDuplicate a pagepostUpdate page metadatapatchUpdate mapped page contentpatchReplace template variablespostCheck whether a page can be publishedpostPublish a pagepostGet a pagegetDelete a pagedeleteList page templatesgetSearch page templatesgetSearch pagesget
Builder
    Read the page buildergetRead one builder nodegetUpdate node fieldspatchReplace a builder nodepatchUpdate the page reveal delaypatchRead editable content fieldsget
Quizzes
    List quizzesgetCreate a quiz pagepostSearch quizzesgetGet a quizgetCreate a quiz from a templatepost
Funnels
    List funnelsgetCreate a funnelpostUpdate a funnelpatchSearch funnelsgetGet a funnelget
Videos
    List videosgetUpdate video player settingspatchSearch videosgetGet a videoget
Products
    List productsgetCreate a productpostUpdate a productpatchSearch productsgetGet a productgetDelete a productdelete
Leads
    Search leadsget
Analytics
    Get account countsget
Webhooks
    Subscribe to an eventpostDisable a webhook subscriptiondeleteGet a sample webhook payloadget
Schemas
Atomicat API
Atomicat API

Leads

Download schema

Form and quiz submissions.


Search leads

GET
https://automation.atomicat-api.com/api/automation/v1
/search/leads

type is form, quiz, or omitted for both. The default limit is 25 and the maximum is 50. There is no create or delete endpoint for leads.

Required scope: leads:read.

Search leads › query Parameters

limit
​integer · min: 1 · max: 50

Maximum leads. Defaults to 25 and cannot exceed 50.

Default: 25
query
​string

Case-insensitive text matched against the record name and related fields.

type
​string

form or quiz.

lead_id
​string

Exact lead id.

page_id
​string

Only leads from this page.

email
​string

Exact email match.

Search leads › Responses

Matching records. The body is a JSON array.

​Lead[]
Lead
id
​string

Lead id.

lead_id
​string

Same as id.

type
​string

form or quiz.

name
​string | null

Contact name.

first_name
​string | null

First name.

last_name
​string | null

Last name.

email
​string | null

Email.

phone
​string | null

Phone.

form_id
​string | null

Form id. Present on form leads.

form_name
​string | null

Form name.

quiz_id
​string | null

Quiz id. Present on quiz leads.

quiz_name
​string | null

Quiz name.

page_id
​string | null

Page id.

page_url
​string | null

Page URL.

project_id
​string | null

Project id.

site_id
​string | null

Site id.

abandoned
​boolean

true when a form lead was abandoned.

is_completed
​boolean

Present on quiz leads.

​object

Raw form fields.

​object

Raw quiz answers.

created_at
​string | null

ISO-8601 timestamp.

GET/search/leads
curl --request GET \ --url https://automation.atomicat-api.com/api/automation/v1/search/leads
Example Responses
[ { "id": "lead_123", "lead_id": "lead_123", "type": "form", "name": "Jane Example", "first_name": "Jane", "last_name": "Example", "email": "[email protected]", "phone": "+15555550123", "form_id": "form_123", "form_name": "Checkout", "page_id": "page_123", "page_url": "https://example.com/offer", "project_id": "project_123", "site_id": "site_123", "abandoned": false, "fields": {}, "created_at": "2026-09-26T12:00:00.000Z" } ]
json
application/json

ProductsAnalytics